summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTobias Klausmann <klausman@gentoo.org>2016-06-28 14:02:04 +0200
committerTobias Klausmann <klausman@gentoo.org>2016-06-28 14:02:04 +0200
commit3b0fbe83c7219e1bd9fccc4ad7c5fb9cd54fb4fa (patch)
tree7d2196c9fb4757aa772d452077bb1385cd62f21d /net-im/prosody
parentros-meta/nodelet_core: Bump to 1.9.5. (diff)
downloadgentoo-3b0fbe83c7219e1bd9fccc4ad7c5fb9cd54fb4fa.tar.gz
gentoo-3b0fbe83c7219e1bd9fccc4ad7c5fb9cd54fb4fa.tar.bz2
gentoo-3b0fbe83c7219e1bd9fccc4ad7c5fb9cd54fb4fa.zip
net-im/prosody: Remove old, vulnerable versions (0.9.{8,9})
Gentoo-Bug: 573158 Package-Manager: portage-2.3.0
Diffstat (limited to 'net-im/prosody')
-rw-r--r--net-im/prosody/Manifest2
-rw-r--r--net-im/prosody/prosody-0.9.8.ebuild84
-rw-r--r--net-im/prosody/prosody-0.9.9.ebuild84
3 files changed, 0 insertions, 170 deletions
diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
index ee8eb2d70b1..8f0d7e6e50e 100644
--- a/net-im/prosody/Manifest
+++ b/net-im/prosody/Manifest
@@ -1,3 +1 @@
DIST prosody-0.9.10.tar.gz 267380 SHA256 4836eefed4d9bbb632cba24ac5bd8e9bc7c029a79d06084b00ffc70858d1662f SHA512 4453fb596704b6a248a52dedc00cfc77edbee1fad502f1197b04c2148092389a294c152c3ba36203f51831d51ee2b915c15382ac86fcff4f35696ecacf926574 WHIRLPOOL 9312a0bfc856b723d02cd5a92fd4d93e3cf1f4335263d6d5d8bb8c6f44bda7b0e038cc9ad5fbdc5ea0e5623bf11b695a65b02ee4ad5134c713c05e5f4502a96c
-DIST prosody-0.9.8.tar.gz 268716 SHA256 9470415c56e0b847089b45fabd48bc1f8211cd525fba56967409d064f4257871 SHA512 08ca8c8028a947a22d68ddc1d7eb93d3d205894102c900ece9e537ef9dd9332e8509e4b170069383e4f9717b52fd41aec2aa9d959e16ddebf0c3d54fe31aef3c WHIRLPOOL ab0b7a7e4324dd5ea59db4c6470f36cd047aa9da240cd987b9159cfa753e6f28cbf33bb726f8e89762e31ec6a09b7915162beb46e7e429159e52e6cb50dd2728
-DIST prosody-0.9.9.tar.gz 269415 SHA256 5624fd80d1030c4d1e239172f7a0d58761a14ffad28713240e8f3165d5cacf2e SHA512 f1b40d312819ba9f7eef0656e3e009319179a6c931fae6886ce8ad0e57c79365431ab3d115c3a9b2c8742e6027e5370af9c4732e01116038f64e0a5af5d396f3 WHIRLPOOL 31a2a292c1d5d44abda11b704a97b171303328f1aa542ec83e75768298129cc55927aceaadfb790fe2fcd37c5344ae4bb731dc26af86d620c64125f5570f47f6
diff --git a/net-im/prosody/prosody-0.9.8.ebuild b/net-im/prosody/prosody-0.9.8.ebuild
deleted file mode 100644
index 5b7fa48b9c7..00000000000
--- a/net-im/prosody/prosody-0.9.8.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit flag-o-matic multilib systemd versionator
-
-MY_PV=$(replace_version_separator 3 '')
-MY_P="${PN}-${MY_PV}"
-DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
-HOMEPAGE="http://prosody.im/"
-SRC_URI="http://prosody.im/tmp/${MY_PV}/${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm x86"
-IUSE="ipv6 libevent mysql postgres sqlite ssl zlib jit"
-
-DEPEND="net-im/jabber-base
- !jit? ( >=dev-lang/lua-5.1:0 )
- jit? ( dev-lang/luajit:2 )
- >=net-dns/libidn-1.1
- dev-libs/openssl:0"
-RDEPEND="${DEPEND}
- >=dev-lua/luaexpat-1.3.0
- dev-lua/luafilesystem
- ipv6? ( >=dev-lua/luasocket-3 )
- !ipv6? ( dev-lua/luasocket )
- libevent? ( >=dev-lua/luaevent-0.4.3 )
- mysql? ( dev-lua/luadbi[mysql] )
- postgres? ( dev-lua/luadbi[postgres] )
- sqlite? ( dev-lua/luadbi[sqlite] )
- ssl? ( dev-lua/luasec )
- zlib? ( dev-lua/lua-zlib )"
-
-S=${WORKDIR}/${MY_P}
-
-JABBER_ETC="/etc/jabber"
-JABBER_SPOOL="/var/spool/jabber"
-
-src_prepare() {
- epatch "${FILESDIR}/${PN}-0.9.2-cfg.lua.patch"
- sed -i -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
- -e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
- -e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!"\
- -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!"\
- Makefile || die
-}
-
-src_configure() {
- # the configure script is handcrafted (and yells at unknown options)
- # hence do not use 'econf'
- append-cflags -D_GNU_SOURCE
- luajit=""
- if use jit; then
- luajit="--runwith=luajit"
- fi
- ./configure \
- --ostype=linux $luajit \
- --prefix="${EPREFIX}/usr" \
- --libdir="${EPREFIX}/usr/lib64" \
- --sysconfdir="${JABBER_ETC}" \
- --datadir="${JABBER_SPOOL}" \
- --with-lua-include=/usr/include \
- --with-lua-lib=/usr/$(get_libdir)/lua \
- --cflags="${CFLAGS} -Wall -fPIC" \
- --ldflags="${LDFLAGS} -shared" \
- --c-compiler="$(tc-getCC)" \
- --linker="$(tc-getCC)" \
- --require-config || die "configure failed"
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- systemd_dounit "${FILESDIR}/${PN}".service
- systemd_newtmpfilesd "${FILESDIR}/${PN}".tmpfilesd "${PN}".conf
- newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
-}
-
-src_test() {
- cd tests || die
- ./run_tests.sh || die
-}
diff --git a/net-im/prosody/prosody-0.9.9.ebuild b/net-im/prosody/prosody-0.9.9.ebuild
deleted file mode 100644
index 5b7fa48b9c7..00000000000
--- a/net-im/prosody/prosody-0.9.9.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit flag-o-matic multilib systemd versionator
-
-MY_PV=$(replace_version_separator 3 '')
-MY_P="${PN}-${MY_PV}"
-DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
-HOMEPAGE="http://prosody.im/"
-SRC_URI="http://prosody.im/tmp/${MY_PV}/${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm x86"
-IUSE="ipv6 libevent mysql postgres sqlite ssl zlib jit"
-
-DEPEND="net-im/jabber-base
- !jit? ( >=dev-lang/lua-5.1:0 )
- jit? ( dev-lang/luajit:2 )
- >=net-dns/libidn-1.1
- dev-libs/openssl:0"
-RDEPEND="${DEPEND}
- >=dev-lua/luaexpat-1.3.0
- dev-lua/luafilesystem
- ipv6? ( >=dev-lua/luasocket-3 )
- !ipv6? ( dev-lua/luasocket )
- libevent? ( >=dev-lua/luaevent-0.4.3 )
- mysql? ( dev-lua/luadbi[mysql] )
- postgres? ( dev-lua/luadbi[postgres] )
- sqlite? ( dev-lua/luadbi[sqlite] )
- ssl? ( dev-lua/luasec )
- zlib? ( dev-lua/lua-zlib )"
-
-S=${WORKDIR}/${MY_P}
-
-JABBER_ETC="/etc/jabber"
-JABBER_SPOOL="/var/spool/jabber"
-
-src_prepare() {
- epatch "${FILESDIR}/${PN}-0.9.2-cfg.lua.patch"
- sed -i -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
- -e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
- -e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!"\
- -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!"\
- Makefile || die
-}
-
-src_configure() {
- # the configure script is handcrafted (and yells at unknown options)
- # hence do not use 'econf'
- append-cflags -D_GNU_SOURCE
- luajit=""
- if use jit; then
- luajit="--runwith=luajit"
- fi
- ./configure \
- --ostype=linux $luajit \
- --prefix="${EPREFIX}/usr" \
- --libdir="${EPREFIX}/usr/lib64" \
- --sysconfdir="${JABBER_ETC}" \
- --datadir="${JABBER_SPOOL}" \
- --with-lua-include=/usr/include \
- --with-lua-lib=/usr/$(get_libdir)/lua \
- --cflags="${CFLAGS} -Wall -fPIC" \
- --ldflags="${LDFLAGS} -shared" \
- --c-compiler="$(tc-getCC)" \
- --linker="$(tc-getCC)" \
- --require-config || die "configure failed"
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- systemd_dounit "${FILESDIR}/${PN}".service
- systemd_newtmpfilesd "${FILESDIR}/${PN}".tmpfilesd "${PN}".conf
- newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
-}
-
-src_test() {
- cd tests || die
- ./run_tests.sh || die
-}